### Home Classes Methods

### In Files

- m/ReadFile.rb

### Parent

Object

### Methods

- ::new
- #getALL
- #getUrls

### Class/Module Index

Quicksearch

- CtrlCheckLinks
- CtrlHistoLink
- Menu
- ReadFile
- Vue1
- VueHisto
- VueMenu
- VueResult

No matching classes.

# ReadFile

Classe permettant l’acces et la recuperation des données dans les fichiers

### Public Class Methods

new(pFic) click to toggle source

Ouverture d'un fichier en lecture

- String pFic : chemin de fichier à ouvrir

    # File m/ReadFile.rb, line 5
    def initialize(pFic)
      @fic = File.open(pFic, "r")
    end

### Public Instance Methods

getALL() click to toggle source

Revoit tout le contenu d'un fichier sous forme d'une chaine de caractere

- return : string contenant tout le texte du fichier

    # File m/ReadFile.rb, line 10
    def getALL
      all = @fic.read
      return all
    end

getUrls() click to toggle source

Sort les URLs d'un fichier

- return : string[] contenant tout les liens http/https du fichier

    # File m/ReadFile.rb, line 16
    def getUrls
      txt = self.getALL
      url = URI::extract(txt, /http(s)?/)
      return url
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.